Webhooks
Viewing API version 2026-05-01. View the latest version.
Rotate Webhook Signing Secret
Rotate a webhook signing secret with an automatic 24-hour overlap.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
webhookId*string
Format
uuidHeader Parameters
Kausate-Version?string
Default
"2026-05-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.kausate.com/v2/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/secret/rotate" \ -H "Kausate-Version: 2026-05-01"{
"signingSecret": "string",
"previousSecretExpiresAt": "2019-08-24T14:15:22Z"
}{
"detail": "Not authenticated",
"code": "auth.unauthorized",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Invalid API key",
"code": "auth.forbidden",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "A secret rotation for this webhook is already in its 24-hour overlap window; wait for it to finish before rotating again.",
"code": "resource.conflict",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": [
{
"loc": [
"body",
"jurisdictionCode"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "An internal error occurred",
"code": "internal.unexpected",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}Last updated on